package de.hawhamburg.reachability.enumeration;

/**
 * Enumeration of defined person groups.<br><br>
 * 
 * This enumeration defines different groups of persons. The reachability agent will determine the reachability status 
 * ({@link ReachabilityStatus}) according to each mentioned user group and publish their status information for in each 
 * iteration.
 * 
 * @author  {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_AUTHOR} 
 * @version {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_VERSION}
 */
public enum ReachabilityGroup {
    /**
     * A user group containing all work related persons.
     */
    WORK,
    /**
     * A user group containing all work related supervisors.
     */
    BOSS,
    /**
     * A user group containing all family related persons.
     */
    FAMILY,
    /**
     * A user group containing all friends.
     */
    FRIENDS;
}
