package de.hawhamburg.reachability.reasoner.enumeration;

/**
 * All defined context dimensions.<br><br>
 * 
 * This enumeration defines supported context dimensions. The used engine will only be able to use the dimensions 
 * defined here. These are the dimensions which are essential for the reachability determination.
 * 
 * @author  {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_AUTHOR} 
 * @version {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_VERSION}
 */
public enum ReasonerDimension {
    /**
     * There is a dimension called <i>stress</i> defined.
     */
    stress,
    /**
     * There is a dimension called <i>position</i> defined.
     */
    position,
    /**
     * There is a dimension called <i>time</i> defined.
     */
    time,
    /**
     * There is a dimension called <i>frontdoor</i> defined.
     */
    frontdoor,
    /**
     * There is a dimension called <i>calendar</i> defined.
     */
    calendar,
    /**
     * There is a dimension called <i>location</i> defined.
     */
    location,
    /**
     * There is a dimension called <i>couchLiving</i> defined.
     */
    couchLiving,
    /**
     * There is a dimension called <i>couchTable</i> defined.
     */
    couchTable,
    /**
     * There is a dimension called <i>fridgeDoor</i> defined.
     */
    fridgeDoor,
    /**
     * There is a dimension called <i>fireside</i> defined.
     */
    fireside,
    /**
     * There is a dimension called <i>chairDining</i> defined.
     */
    chairDining,
    /**
     * There is a dimension called <i>kitchenSink</i> defined.
     */
    kitchenSink,
    /**
     * There is a dimension called <i>toiletFlushing</i> defined.
     */
    toiletFlushing,
    /**
     * There is a dimension called <i>shower</i> defined.
     */
    shower,
    /**
     * There is a dimension called <i>toothbrush</i> defined.
     */
    toothbrush,
    /**
     * There is a dimension called <i>bathTap</i> defined.
     */
    bathTap,
    /**
     * There is a dimension called <i>bed</i> defined.
     */
    bed,
    /**
     * There is a dimension called <i>buzzer</i> defined.
     */
    buzzer,
    /**
     * There is a dimension called <i>tvLiving</i> defined.
     */
    tvLiving,
    /**
     * There is a dimension called <i>frontdoorBell</i> defined.
     */
    frontdoorBell,
    /**
     * There is a dimension called <i>coffeeMachine</i> defined.
     */
    coffeeMachine,
    /**
     * There is a dimension called <i>guests</i> defined.
     */
    guests,
    /**
     * There is a dimension called <i>music</i> defined.
     */
    music,
    /**
     * There is a dimension called <i>laptop</i> defined.
     */
    laptop,
    /**
     * There is a dimension called <i>kitchenCabinet</i> defined.
     */
    kitchenCabinet,
    /**
     * There is a dimension called <i>bedroomLight</i> defined.
     */
    bedroomLight,
    /**
     * There is a dimension called <i>toaster</i> defined.
     */
    toaster,
    /**
     * There is a dimension called <i>lavatorySeat</i> defined.
     */
    lavatorySeat,
    /**
     * There is a dimension called <i>example</i> defined.
     */
    example,
}
