package de.hawhamburg.reachability.sensor.enumeration;

/**
 * Enumeration of different location states.<br><br>
 * 
 * This enumeration provides the system with all defined location states (rooms) a positioning sensor adapter may 
 * produce.
 * 
 * @author  {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_AUTHOR} 
 * @version {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_VERSION}
 */
public enum LocationStates {
    /**
     * There is a location called <i>BEDROOM</i> defined.
     */
    BEDROOM,
    /**
     * There is a location called <i>BATHROOM</i> defined.
     */
    BATHROOM,
    /**
     * There is a location called <i>HALL</i> defined.
     */
    HALL,
    /**
     * There is a location called <i>DINING</i> defined.
     */
    DINING,
    /**
     * There is a location called <i>KITCHEN</i> defined.
     */
    KITCHEN,
    /**
     * There is a location called <i>LIVING</i> defined.
     */
    LIVING,
    /**
     * There is a location called <i>OUTSIDE</i> defined.
     */
    OUTSIDE,
}
